BackendHTTP APIFunctions
Get dry run results
Requires an API key with the environment:functions:dryrun scope. Learn more about API key scopes.
Returns the status and result of an asynchronous function dry run.
GET
Returns the status and result of an asynchronous function dry run.
bearerAuthheader
AuthorizationBearer <token>An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.
id*stringFormat
uuidSuccessfully retrieved the dry run.
application/json- response
id*stringFormat
uuidstatus*FunctionDryrunStatusValue in
"waiting""running""success""failed"integration_id*stringfunction_type*RunnableFunctionTypeValue in
"action""sync"created_at*stringFormat
date-timeupdated_at*stringFormat
date-timestarted_at?stringFormat
date-timecompleted_at?stringFormat
date-timeduration_ms?integerRange
0 <= valueoutput?stringDry run command output.
result?unknownThe function result, when the dry run emits one.
error?curl -X GET 'https://api.tenklo.dev/functions/dryruns/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "waiting", "integration_id": "string", "function_type": "action", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "duration_ms": 0, "output": "string", "result": null, "error": { "code": "string", "message": "string", "payload": null }}